Ich benötige den ionCube-Loader. Kann der installiert werden?

Das Modul „ionCube Loader“ stellt eine Alternative zum ZendOptimizer dar und steht bei GN2 hosting bereits vorkompiliert zur Verfügung. Es wird über die Zend-Extension geladen und daher anders eingebunden, als weiter oben für die vorkompiliert bereitgestellten PHP-Module beschrieben.

  • Um „ionCube Loader“ einzubinden, ersetzen Sie im PHP.INI-Editor unter „Häufig genutzte Optionen“ die Angabe bei „zend_extension“ abhängig von der verwendeten PHP-Edition durch:
  • PHP-Edition 4-STABLE:
    /usr/local/lib/php_modules/4-STABLE/ioncube_loader_lin_4.4.so
  • PHP-Edition 5-STABLE:
    /usr/local/lib/php_modules/5-STABLE/ioncube_loader_lin_5.2.so
  • PHP-Edition 5-53-STABLE:
    /usr/local/lib/php_modules/5-53STABLE/ioncube_loader_lin_5.3.so
  • PHP-Edition 5-53-LATEST:
    /usr/local/lib/php_modules/5-53LATEST/ioncube_loader_lin_5.3.so
  • PHP-Edition 5-54-STABLE:
    /usr/local/lib/php_modules/5-54STABLE/ioncube_loader_lin_5.4.so
  • PHP-Edition 5-54-LATEST:
    /usr/local/lib/php_modules/5-54LATEST/ioncube_loader_lin_5.4.so
  • PHP-Edition 5-54-LEGACY:
    /usr/local/lib/php_modules/5-54LEGACY/ioncube_loader_lin_5.4.so
  • PHP-Edition 5-55-STABLE:
    /usr/local/lib/php_modules/5-55STABLE/ioncube_loader_lin_5.5.so
  • PHP-Edition 5-56-STABLE:
    /usr/local/lib/php_modules/5-56STABLE/ioncube_loader_lin_5.6.so
  • PHP-Edition 5-56-LATEST:
    /usr/local/lib/php_modules/5-56LATEST/ioncube_loader_lin_5.6.so
  • PHP-Edition 7:
    /usr/local/lib/php_modules/7-70STABLE/ioncube_loader_lin_7.0.so

Prüfen Sie zudem, ob im PHP.INI-Editor unter „Häufig genutzte Optionen“ die Option „zend_optimizer.enable_loader“ aktiviert ist und aktivieren Sie diese gegebenenfalls.

Wenn Sie den PHP.INI-Editor nicht nutzen, können Sie das Modul einbinden, indem Sie die PHP.INI-Dateien manuell erstellen bzw. editieren und dort den Eintrag für die Zend-Extension hinzufügen. Für die Edition 5-53-STABLE lautet der Eintrag beispielsweise folgendermaßen:

zend_extension="/usr/local/lib/php_modules/5-53STABLE/ioncube_loader_lin_5.3.so"

Sollte ein Eintrag „zend_extension“ für ZendOptimizer vorhanden sein, löschen Sie diesen bitte. Der Eintrag „zend_optimizer.enable_loader“ muss zudem auf den Wert „1“ gesetzt sein.